# Collect (Finance & Billing)

The Finance, or Collect, API provides all the accounts receivable capabilities in Rhythm. This includes all aspects of 
Invoices, Credits, Payments, Credit Memos, and Debit Memos. Additionally, this API manages Batches and Fiscal Periods 
and can be used to download batches for import into your accounting package.

Like most of the other Rhythm apps, the Collect API includes endpoints for Query Definitions. These endpoints are commonly
used to retrieve saved queries, which can then be executed using the Query endpoints of the System API. 


Version: v1-2025-04-18

## Servers

```
https://collect.api.rhythmsoftware.com
```

## Security

### knox-authorizer

Type: http
Scheme: bearer
Bearer Format: JWT

## Download OpenAPI description

 - [Collect (Finance & Billing)](https://docs.api.rhythmsoftware.com/_bundle/apis/collect/collect-v1.yaml)

## Accounting Projects

 - [GET /accountingProjects/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/accounting-projects/listaccountingprojects.md): This method will scan all accounting projects and and return them to the caller.
 - [POST /accountingProjects/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/accounting-projects/createaccountingproject.md): This method will auto-generate an ID and create a new accounting project. If an ID is specified for the accounting project, an error will be thrown.
 - [POST /accountingProjects/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/accounting-projects/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /accountingProjects/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/accounting-projects/deleteaccountingproject.md): This method will delete a accounting project with the specified ID.
 - [GET /accountingProjects/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/accounting-projects/getaccountingproject.md): This method will look up a accounting project by the specified ID and return it back.
 - [PATCH /accountingProjects/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/accounting-projects/patchaccountingproject.md): This method will patch an existing accounting project with the specified ID, using the HTTP PATCH specification.
 - [PUT /accountingProjects/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/accounting-projects/updateaccountingproject.md): This method will update an existing accounting project with the specified ID.
## Bank Accounts

 - [GET /bankAccounts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/bank-accounts/listbankaccounts.md): This method will scan all bank accounts and and return them to the caller.
 - [POST /bankAccounts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/bank-accounts/createbankaccount.md): This method will auto-generate an ID and create a new bank account. If an ID is specified for the bank account, an error will be thrown.
 - [POST /bankAccounts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/bank-accounts/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /bankAccounts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/bank-accounts/deletebankaccount.md): This method will delete a bank account with the specified ID.
 - [GET /bankAccounts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/bank-accounts/getbankaccount.md): This method will look up a bank account by the specified ID and return it back.
 - [PATCH /bankAccounts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/bank-accounts/patchbankaccount.md): This method will patch an existing bank account with the specified ID, using the HTTP PATCH specification.
 - [PUT /bankAccounts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/bank-accounts/updatebankaccount.md): This method will update an existing bank account with the specified ID.
## Batch Assignment Settings

 - [GET /batchAssignmentSettings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-assignment-settings/listbatchassignmentsettings.md): This method will scan all batch assignment settings and and return them to the caller.
 - [POST /batchAssignmentSettings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-assignment-settings/createbatchassignmentsetting.md): This method will auto-generate an ID and create a new batch assignment setting. If an ID is specified for the batch assignment setting, an error will be thrown.
 - [POST /batchAssignmentSettings/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-assignment-settings/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [POST /batchAssignmentSettings/{tenantId}/defaultBatch/{transactionType}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-assignment-settings/calculatedefaultbatchfortransaction.md): For a given transaction, determines the default batch
 - [DELETE /batchAssignmentSettings/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-assignment-settings/deletebatchassignmentsetting.md): This method will delete a batch assignment setting with the specified ID.
 - [GET /batchAssignmentSettings/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-assignment-settings/getbatchassignmentsetting.md): This method will look up a batch assignment setting by the specified ID and return it back.
 - [PATCH /batchAssignmentSettings/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-assignment-settings/patchbatchassignmentsetting.md): This method will patch an existing batch assignment setting with the specified ID, using the HTTP PATCH specification.
 - [PUT /batchAssignmentSettings/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-assignment-settings/updatebatchassignmentsetting.md): This method will update an existing batch assignment setting with the specified ID.
## Batch Downloading

 - [POST /batchDownloading/warmUpStepFunctions](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-downloading/warmupstepfunctions.md)
 - [POST /batchDownloading/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-downloading/initiatebatchdownload.md): Starts the process of downloading batches
 - [POST /batchDownloading/{tenantId}/preview](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-downloading/previewbatchtemplate.md): Starts the process of downloading batches
## Batch Posting

 - [POST /batchPosting/warmUpStepFunctions](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-posting/warmupstepfunctions.md)
 - [POST /batchPosting/{tenantId}/batchPostingPreviewRequest](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-posting/previewbatchposting.md): Previews the batch to ensure it can be posted, and reports any errors
 - [POST /batchPosting/{tenantId}/batchPostingRequest](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-posting/postbatches.md): This method will initiate the batch posting process for one or more supplied batches
 - [POST /batchPosting/{tenantId}/batchUnpostingRequest](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-posting/unpostbatches.md): This method will initiate the batch unposting process for one or more supplied batches
 - [GET /batchPosting/{tenantId}/subledgerEntry/{batchId}/{transactionId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-posting/getsubledgerentryfortransaction.md): Retrieves a subledger entry for a transaction
## Batch Templates

 - [GET /batchTemplates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-templates/listbatchtemplates.md): This method will scan all batch templates and and return them to the caller.
 - [POST /batchTemplates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-templates/createbatchtemplate.md): This method will auto-generate an ID and create a new batch template. If an ID is specified for the batch template, an error will be thrown.
 - [POST /batchTemplates/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-templates/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /batchTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-templates/deletebatchtemplate.md): This method will delete a batch template with the specified ID.
 - [GET /batchTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-templates/getbatchtemplate.md): This method will look up a batch template by the specified ID and return it back.
 - [PATCH /batchTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-templates/patchbatchtemplate.md): This method will patch an existing batch template with the specified ID, using the HTTP PATCH specification.
 - [PUT /batchTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batch-templates/updatebatchtemplate.md): This method will update an existing batch template with the specified ID.
## Batches

 - [GET /batches/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batches/listbatches.md): This method will scan all batches and and return them to the caller.
 - [POST /batches/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batches/createbatch.md): This method will auto-generate an ID and create a new batch. If an ID is specified for the batch, an error will be thrown.
 - [POST /batches/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batches/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /batches/{tenantId}/dependents](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batches/recursivelyretrievedependentbatches.md): Returns a list of child batches dependent on the batches specified
 - [GET /batches/{tenantId}/fiscal_period/{fiscal_year_id}/{fiscal_period}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batches/listbatchesbyfiscalperiod.md): Returns a list of records with the specified fiscal_year_id and fiscal_period
 - [POST /batches/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batches/searchforbatches.md): Searches for batches using predefined parameters
 - [GET /batches/{tenantId}/status/{status}/{businessUnitId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batches/listbatchesbystatus.md): Returns a list of records with the specified status
 - [DELETE /batches/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batches/deletebatch.md): This method will delete a batch with the specified ID.
 - [GET /batches/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batches/getbatch.md): This method will look up a batch by the specified ID and return it back.
 - [PATCH /batches/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batches/patchbatch.md): This method will patch an existing batch with the specified ID, using the HTTP PATCH specification.
 - [PUT /batches/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/batches/updatebatch.md): This method will update an existing batch with the specified ID.
## Billing Notices

 - [GET /billingNotices/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-notices/listbillingnotices.md): This method will scan all billing notices and and return them to the caller.
 - [POST /billingNotices/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-notices/createbillingnotice.md): This method will auto-generate an ID and create a new billing notice. If an ID is specified for the billing notice, an error will be thrown.
 - [POST /billingNotices/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-notices/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /billingNotices/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-notices/deletebillingnotice.md): This method will delete a billing notice with the specified ID.
 - [GET /billingNotices/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-notices/getbillingnotice.md): This method will look up a billing notice by the specified ID and return it back.
 - [PATCH /billingNotices/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-notices/patchbillingnotice.md): This method will patch an existing billing notice with the specified ID, using the HTTP PATCH specification.
 - [PUT /billingNotices/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-notices/updatebillingnotice.md): This method will update an existing billing notice with the specified ID.
## Billing Run Actions

 - [POST /billingRunActions/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-run-actions/createbillingrunaction.md): This method will auto-generate an ID and create a new billing run action. If an ID is specified for the billing run action, an error will be thrown.
 - [POST /billingRunActions/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-run-actions/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /billingRunActions/{tenantId}/billingRun/{billing_run_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-run-actions/listactionsbybillingrunid.md): Returns a list of records with the specified billing_run_id
 - [DELETE /billingRunActions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-run-actions/deletebillingrunaction.md): This method will delete a billing run action with the specified ID.
 - [GET /billingRunActions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-run-actions/getbillingrunaction.md): This method will look up a billing run action by the specified ID and return it back.
 - [PATCH /billingRunActions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-run-actions/patchbillingrunaction.md): This method will patch an existing billing run action with the specified ID, using the HTTP PATCH specification.
 - [PUT /billingRunActions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-run-actions/updatebillingrunaction.md): This method will update an existing billing run action with the specified ID.
## Billing Runs

 - [POST /billingRuns/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-runs/createbillingrun.md): This method will auto-generate an ID and create a new billing run. If an ID is specified for the billing run, an error will be thrown.
 - [POST /billingRuns/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-runs/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /billingRuns/{tenantId}/fromTemplate/{templateId}/{referenceDate}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-runs/generatebillingrunfromtemplate.md)
 - [GET /billingRuns/{tenantId}/recurringBillingRun/{recurring_billing_run_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-runs/listrunsbyrecurringbillingrunid.md): Returns a list of records with the specified recurring_billing_run_id
 - [POST /billingRuns/{tenantId}/refresh/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-runs/refreshbillingrun.md)
 - [POST /billingRuns/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-runs/searchforbillingruns.md): Searches for billing runs using predefined parameters
 - [DELETE /billingRuns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-runs/deletebillingrun.md): This method will delete a billing run with the specified ID.
 - [GET /billingRuns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-runs/getbillingrun.md): This method will look up a billing run by the specified ID and return it back.
 - [PATCH /billingRuns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-runs/patchbillingrun.md): This method will patch an existing billing run with the specified ID, using the HTTP PATCH specification.
 - [PUT /billingRuns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-runs/updatebillingrun.md): This method will update an existing billing run with the specified ID.
## Billing Templates

 - [GET /billingTemplates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-templates/listbillingtemplates.md): This method will scan all billing templates and and return them to the caller.
 - [POST /billingTemplates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-templates/createbillingtemplate.md): This method will auto-generate an ID and create a new billing template. If an ID is specified for the billing template, an error will be thrown.
 - [POST /billingTemplates/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-templates/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /billingTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-templates/deletebillingtemplate.md): This method will delete a billing template with the specified ID.
 - [GET /billingTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-templates/getbillingtemplate.md): This method will look up a billing template by the specified ID and return it back.
 - [PATCH /billingTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-templates/patchbillingtemplate.md): This method will patch an existing billing template with the specified ID, using the HTTP PATCH specification.
 - [PUT /billingTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/billing-templates/updatebillingtemplate.md): This method will update an existing billing template with the specified ID.
## Business Units

 - [GET /businessUnits/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/business-units/listbusinessunits.md): This method will scan all business units and and return them to the caller.
 - [POST /businessUnits/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/business-units/createbusinessunit.md): This method will auto-generate an ID and create a new business unit. If an ID is specified for the business unit, an error will be thrown.
 - [POST /businessUnits/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/business-units/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /businessUnits/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/business-units/deletebusinessunit.md): This method will delete a business unit with the specified ID.
 - [GET /businessUnits/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/business-units/getbusinessunit.md): This method will look up a business unit by the specified ID and return it back.
 - [PATCH /businessUnits/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/business-units/patchbusinessunit.md): This method will patch an existing business unit with the specified ID, using the HTTP PATCH specification.
 - [PUT /businessUnits/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/business-units/updatebusinessunit.md): This method will update an existing business unit with the specified ID.
## Check Request Processes

 - [GET /checkRequestProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-request-processes/listcheckrequestprocesses.md): This method will scan all check request processes and and return them to the caller.
 - [POST /checkRequestProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-request-processes/createcheckrequestprocess.md): This method will auto-generate an ID and create a new check request process. If an ID is specified for the check request process, an error will be thrown.
 - [POST /checkRequestProcesses/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-request-processes/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /checkRequestProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-request-processes/deletecheckrequestprocess.md): This method will delete a check request process with the specified ID.
 - [GET /checkRequestProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-request-processes/getcheckrequestprocess.md): This method will look up a check request process by the specified ID and return it back.
 - [PATCH /checkRequestProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-request-processes/patchcheckrequestprocess.md): This method will patch an existing check request process with the specified ID, using the HTTP PATCH specification.
 - [PUT /checkRequestProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-request-processes/updatecheckrequestprocess.md): This method will update an existing check request process with the specified ID.
## Check Request Templates

 - [GET /checkRequestTemplates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-request-templates/listcheckrequesttemplates.md): This method will scan all check request templates and and return them to the caller.
 - [POST /checkRequestTemplates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-request-templates/createcheckrequesttemplate.md): This method will auto-generate an ID and create a new check request template. If an ID is specified for the check request template, an error will be thrown.
 - [POST /checkRequestTemplates/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-request-templates/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /checkRequestTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-request-templates/deletecheckrequesttemplate.md): This method will delete a check request template with the specified ID.
 - [GET /checkRequestTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-request-templates/getcheckrequesttemplate.md): This method will look up a check request template by the specified ID and return it back.
 - [PATCH /checkRequestTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-request-templates/patchcheckrequesttemplate.md): This method will patch an existing check request template with the specified ID, using the HTTP PATCH specification.
 - [PUT /checkRequestTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-request-templates/updatecheckrequesttemplate.md): This method will update an existing check request template with the specified ID.
## Check Requests

 - [GET /checkRequests/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-requests/listcheckrequests.md): This method will scan all check requests and and return them to the caller.
 - [POST /checkRequests/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-requests/createcheckrequest.md): This method will auto-generate an ID and create a new check request. If an ID is specified for the check request, an error will be thrown.
 - [POST /checkRequests/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-requests/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [POST /checkRequests/{tenantId}/process](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-requests/processcheckrequest.md)
 - [POST /checkRequests/{tenantId}/render](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-requests/rendercheckrequest.md)
 - [POST /checkRequests/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-requests/searchforcheckrequests.md): Searches for check requests using predefined parameters
 - [DELETE /checkRequests/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-requests/deletecheckrequest.md): This method will delete a check request with the specified ID.
 - [GET /checkRequests/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-requests/getcheckrequest.md): This method will look up a check request by the specified ID and return it back.
 - [PATCH /checkRequests/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-requests/patchcheckrequest.md): This method will patch an existing check request with the specified ID, using the HTTP PATCH specification.
 - [PUT /checkRequests/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/check-requests/updatecheckrequest.md): This method will update an existing check request with the specified ID.
## Cogs Entries

 - [POST /cogsEntries/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/cogs-entries/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /cogsEntries/{tenantId}/fiscalperiod/{fiscal_year_id}/{fiscal_period}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/cogs-entries/listcogsentriesbyfiscalperiod.md): Returns a list of COGS entries in a fiscal period
 - [GET /cogsEntries/{tenantId}/inventoryTransaction/{inventoryTransactionId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/cogs-entries/listcogsentriesforinventorytransaction.md): Returns a list of COGS entries for a transaction ID
 - [GET /cogsEntries/{tenantId}/order/{orderId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/cogs-entries/listcogsentriesfororder.md): Returns a list of COGS entries for an order id
 - [DELETE /cogsEntries/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/cogs-entries/deletecogsentry.md): This method will delete a cogs entry with the specified ID.
 - [GET /cogsEntries/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/cogs-entries/getcogsentry.md): This method will look up a cogs entry by the specified ID and return it back.
 - [PATCH /cogsEntries/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/cogs-entries/patchcogsentry.md): This method will patch an existing cogs entry with the specified ID, using the HTTP PATCH specification.
 - [PUT /cogsEntries/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/cogs-entries/updatecogsentry.md): This method will update an existing cogs entry with the specified ID.
## Credit Memos

 - [POST /creditMemos/warmUpStepFunctions](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credit-memos/warmupstepfunctions.md)
 - [POST /creditMemos/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credit-memos/processcreditmemo.md): This method will auto-generate an ID and create a new credit memo. If an ID is specified for the credit memo, an error will be thrown.
 - [POST /creditMemos/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credit-memos/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /creditMemos/{tenantId}/batch/{batch_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credit-memos/listmemosbybatchid.md): Returns a list of records with the specified batch_id
 - [POST /creditMemos/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credit-memos/searchforcreditmemos.md): Searches for credit memos using predefined parameters
 - [GET /creditMemos/{tenantId}/sync](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credit-memos/listcreditmemos.md): This method will scan all credit memos and and return them to the caller.
 - [POST /creditMemos/{tenantId}/sync](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credit-memos/processcreditmemosync.md): This method will auto-generate an ID and create a new credit memo. If an ID is specified for the credit memo, an error will be thrown.
 - [GET /creditMemos/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credit-memos/getcreditmemo.md): This method will look up a credit memo by the specified ID and return it back.
 - [PATCH /creditMemos/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credit-memos/patchcreditmemo.md): This method will patch an existing credit memo with the specified ID, using the HTTP PATCH specification.
 - [PUT /creditMemos/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credit-memos/updatecreditmemo.md): This method will update an existing credit memo with the specified ID.
## Credits

 - [POST /credits/warmUpStepFunctions](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credits/warmupstepfunctions.md)
 - [GET /credits/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credits/listcredits.md): This method will scan all credits and and return them to the caller.
 - [POST /credits/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credits/processcredit.md): This method will auto-generate an ID and create a new credit. If an ID is specified for the credit, an error will be thrown.
 - [POST /credits/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credits/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /credits/{tenantId}/batch/{batch_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credits/listcreditsbybatchid.md): Returns a list of records with the specified batch_id
 - [GET /credits/{tenantId}/contact/{contact_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credits/listcreditsbycontactid.md): Returns a list of records with the specified contact_id
 - [POST /credits/{tenantId}/manual](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credits/createcredit.md): This method will auto-generate an ID and create a new credit. If an ID is specified for the credit, an error will be thrown.
 - [GET /credits/{tenantId}/organization/{organization_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credits/listcreditsbyorganizationid.md): Returns a list of records with the specified organization_id
 - [GET /credits/{tenantId}/owner/{owner_type}/{owner_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credits/listcreditsbyownerid.md): Returns a list of records with the specified owner_id
 - [POST /credits/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credits/searchforcredits.md): Searches for credits using predefined parameters
 - [POST /credits/{tenantId}/sync](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credits/processcreditsync.md): This method will auto-generate an ID and create a new credit. If an ID is specified for the credit, an error will be thrown.
 - [DELETE /credits/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credits/deletecredit.md): This method will delete a credit with the specified ID.
 - [GET /credits/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credits/getcredit.md): This method will look up a credit by the specified ID and return it back.
 - [PATCH /credits/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credits/patchcredit.md): This method will patch an existing credit with the specified ID, using the HTTP PATCH specification.
 - [PUT /credits/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/credits/updatecredit.md): This method will update an existing credit with the specified ID.
## Currency Mapping Policies

 - [GET /currencyMappingPolicies/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/currency-mapping-policies/listcurrencymappingpolicies.md): This method will scan all currency mapping policies and and return them to the caller.
 - [POST /currencyMappingPolicies/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/currency-mapping-policies/createcurrencymappingpolicy.md): This method will auto-generate an ID and create a new currency mapping policy. If an ID is specified for the currency mapping policy, an error will be thrown.
 - [POST /currencyMappingPolicies/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/currency-mapping-policies/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /currencyMappingPolicies/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/currency-mapping-policies/deletecurrencymappingpolicy.md): This method will delete a currency mapping policy with the specified ID.
 - [GET /currencyMappingPolicies/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/currency-mapping-policies/getcurrencymappingpolicy.md): This method will look up a currency mapping policy by the specified ID and return it back.
 - [PATCH /currencyMappingPolicies/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/currency-mapping-policies/patchcurrencymappingpolicy.md): This method will patch an existing currency mapping policy with the specified ID, using the HTTP PATCH specification.
 - [PUT /currencyMappingPolicies/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/currency-mapping-policies/updatecurrencymappingpolicy.md): This method will update an existing currency mapping policy with the specified ID.
## Debit Memos

 - [POST /debitMemos/warmUpStepFunctions](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/debit-memos/warmupstepfunctions.md)
 - [GET /debitMemos/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/debit-memos/listdebitmemos.md): This method will scan all debit memos and and return them to the caller.
 - [POST /debitMemos/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/debit-memos/processdebitmemo.md): This method will auto-generate an ID and create a new debit memo. If an ID is specified for the debit memo, an error will be thrown.
 - [POST /debitMemos/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/debit-memos/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /debitMemos/{tenantId}/batch/{batch_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/debit-memos/listmemosbybatchid.md): Returns a list of records with the specified batch_id
 - [POST /debitMemos/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/debit-memos/searchfordebitmemos.md): Searches for debit memos using predefined parameters
 - [POST /debitMemos/{tenantId}/sync](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/debit-memos/processdebitmemosync.md): This method will auto-generate an ID and create a new debit memo. If an ID is specified for the debit memo, an error will be thrown.
 - [GET /debitMemos/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/debit-memos/getdebitmemo.md): This method will look up a debit memo by the specified ID and return it back.
 - [PATCH /debitMemos/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/debit-memos/patchdebitmemo.md): This method will patch an existing debit memo with the specified ID, using the HTTP PATCH specification.
 - [PUT /debitMemos/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/debit-memos/updatedebitmemo.md): This method will update an existing debit memo with the specified ID.
## Departments

 - [GET /departments/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/departments/listdepartments.md): This method will scan all departments and and return them to the caller.
 - [POST /departments/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/departments/createdepartment.md): This method will auto-generate an ID and create a new department. If an ID is specified for the department, an error will be thrown.
 - [POST /departments/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/departments/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /departments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/departments/deletedepartment.md): This method will delete a department with the specified ID.
 - [GET /departments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/departments/getdepartment.md): This method will look up a department by the specified ID and return it back.
 - [PATCH /departments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/departments/patchdepartment.md): This method will patch an existing department with the specified ID, using the HTTP PATCH specification.
 - [PUT /departments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/departments/updatedepartment.md): This method will update an existing department with the specified ID.
## Donation Products

 - [GET /donationProducts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/donation-products/listdonationproducts.md): This method will scan all donation products and and return them to the caller.
 - [POST /donationProducts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/donation-products/createdonationproduct.md): This method will auto-generate an ID and create a new donation product. If an ID is specified for the donation product, an error will be thrown.
 - [POST /donationProducts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/donation-products/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /donationProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/donation-products/deletedonationproduct.md): This method will delete a donation product with the specified ID.
 - [GET /donationProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/donation-products/getdonationproduct.md): This method will look up a donation product by the specified ID and return it back.
 - [PATCH /donationProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/donation-products/patchdonationproduct.md): This method will patch an existing donation product with the specified ID, using the HTTP PATCH specification.
 - [PUT /donationProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/donation-products/updatedonationproduct.md): This method will update an existing donation product with the specified ID.
## Exchange Rates

 - [GET /exchangeRates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/exchange-rates/listexchangerates.md): This method will scan all exchange rates and and return them to the caller.
 - [POST /exchangeRates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/exchange-rates/createexchangerate.md): This method will auto-generate an ID and create a new exchange rate. If an ID is specified for the exchange rate, an error will be thrown.
 - [POST /exchangeRates/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/exchange-rates/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /exchangeRates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/exchange-rates/deleteexchangerate.md): This method will delete a exchange rate with the specified ID.
 - [GET /exchangeRates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/exchange-rates/getexchangerate.md): This method will look up a exchange rate by the specified ID and return it back.
 - [PATCH /exchangeRates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/exchange-rates/patchexchangerate.md): This method will patch an existing exchange rate with the specified ID, using the HTTP PATCH specification.
 - [PUT /exchangeRates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/exchange-rates/updateexchangerate.md): This method will update an existing exchange rate with the specified ID.
## External Payments

 - [POST /externalPayments/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/external-payments/createexternalpayment.md): This method will auto-generate an ID and create a new external payment. If an ID is specified for the external payment, an error will be thrown.
 - [POST /externalPayments/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/external-payments/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /externalPayments/{tenantId}/contact/{contact_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/external-payments/listpaymentsbycontactid.md): Returns a list of records with the specified contact_id
 - [GET /externalPayments/{tenantId}/organization/{organization_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/external-payments/listpaymentsbyorganizationid.md): Returns a list of records with the specified organization_id
 - [DELETE /externalPayments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/external-payments/deleteexternalpayment.md): This method will delete a external payment with the specified ID.
 - [GET /externalPayments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/external-payments/getexternalpayment.md): This method will look up a external payment by the specified ID and return it back.
 - [PATCH /externalPayments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/external-payments/patchexternalpayment.md): This method will patch an existing external payment with the specified ID, using the HTTP PATCH specification.
 - [PUT /externalPayments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/external-payments/updateexternalpayment.md): This method will update an existing external payment with the specified ID.
## Fiscal Years

 - [GET /fiscalYears/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/fiscal-years/listfiscalyears.md): This method will scan all fiscal years and and return them to the caller.
 - [POST /fiscalYears/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/fiscal-years/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /fiscalYears/{tenantId}/businessUnit/{business_unit_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/fiscal-years/listyearsbybusinessunitid.md): Returns a list of records with the specified business_unit_id
 - [POST /fiscalYears/{tenantId}/businessUnit/{business_unit_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/fiscal-years/generatenewfiscalyear.md): This method will automatically create a fiscal year for a business unit in the future
 - [POST /fiscalYears/{tenantId}/close/{fiscalYearId}/{fiscalPeriod}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/fiscal-years/closefiscalperiods.md): This method will initiate the fiscal period close process
 - [GET /fiscalYears/{tenantId}/current/{businessUnitId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/fiscal-years/getcurrentfiscalperiod.md): This method looks at all of the fiscal years and periods and finds the first "open" one, which is the current
 - [GET /fiscalYears/{tenantId}/fiscalPeriod/{businessUnitId}/{date}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/fiscal-years/getfiscalperiodfordate.md): This method will return a fiscal year and fiscal period object
 - [POST /fiscalYears/{tenantId}/reopen/{fiscalYearId}/{fiscalPeriod}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/fiscal-years/reopenfiscalperiods.md): This method will initiate the fiscal period reopen process
 - [DELETE /fiscalYears/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/fiscal-years/deletefiscalyear.md): This method will delete a fiscal year with the specified ID.
 - [GET /fiscalYears/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/fiscal-years/getfiscalyear.md): This method will look up a fiscal year by the specified ID and return it back.
 - [PATCH /fiscalYears/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/fiscal-years/patchfiscalyear.md): This method will patch an existing fiscal year with the specified ID, using the HTTP PATCH specification.
 - [PUT /fiscalYears/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/fiscal-years/updatefiscalyear.md): This method will update an existing fiscal year with the specified ID.
## Gateway Entities

 - [GET /gatewayEntities/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/gateway-entities/getgatewayentity.md): This method will look up a gateway entity by the specified ID and return it back.
## Gateway Entries

 - [GET /gatewayEntries/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/gateway-entries/getgatewayentry.md): This method will look up a gateway entry by the specified ID and return it back.
## Gateway Fees

 - [GET /gatewayFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/gateway-fees/getgatewayfee.md): This method will look up a gateway fee by the specified ID and return it back.
## Gl Accounts

 - [GET /glAccounts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/gl-accounts/listglaccounts.md): This method will scan all gl accounts and and return them to the caller.
 - [POST /glAccounts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/gl-accounts/createglaccount.md): This method will auto-generate an ID and create a new gl account. If an ID is specified for the gl account, an error will be thrown.
 - [POST /glAccounts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/gl-accounts/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /glAccounts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/gl-accounts/deleteglaccount.md): This method will delete a gl account with the specified ID.
 - [GET /glAccounts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/gl-accounts/getglaccount.md): This method will look up a gl account by the specified ID and return it back.
 - [PATCH /glAccounts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/gl-accounts/patchglaccount.md): This method will patch an existing gl account with the specified ID, using the HTTP PATCH specification.
 - [PUT /glAccounts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/gl-accounts/updateglaccount.md): This method will update an existing gl account with the specified ID.
## Installment Plans

 - [GET /installmentPlans/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/installment-plans/listinstallmentplans.md): This method will scan all installment plans and and return them to the caller.
 - [POST /installmentPlans/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/installment-plans/createinstallmentplan.md): This method will auto-generate an ID and create a new installment plan. If an ID is specified for the installment plan, an error will be thrown.
 - [POST /installmentPlans/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/installment-plans/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /installmentPlans/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/installment-plans/deleteinstallmentplan.md): This method will delete a installment plan with the specified ID.
 - [GET /installmentPlans/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/installment-plans/getinstallmentplan.md): This method will look up a installment plan by the specified ID and return it back.
 - [PATCH /installmentPlans/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/installment-plans/patchinstallmentplan.md): This method will patch an existing installment plan with the specified ID, using the HTTP PATCH specification.
 - [PUT /installmentPlans/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/installment-plans/updateinstallmentplan.md): This method will update an existing installment plan with the specified ID.
## Installment Schedules

 - [GET /installmentSchedules/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/installment-schedules/listinstallmentschedules.md): This method will scan all installment schedules and and return them to the caller.
 - [POST /installmentSchedules/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/installment-schedules/createinstallmentschedule.md): This method will auto-generate an ID and create a new installment schedule. If an ID is specified for the installment schedule, an error will be thrown.
 - [POST /installmentSchedules/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/installment-schedules/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /installmentSchedules/{tenantId}/order/{orderId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/installment-schedules/listinstallmentschedulesbyorderid.md): Returns all installment schedules by order id
 - [POST /installmentSchedules/{tenantId}/process](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/installment-schedules/processinstallmentschedule.md): Will process the schedule, creating invoices/payments or orders as necessary
 - [DELETE /installmentSchedules/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/installment-schedules/deleteinstallmentschedule.md): This method will delete a installment schedule with the specified ID.
 - [GET /installmentSchedules/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/installment-schedules/getinstallmentschedule.md): This method will look up a installment schedule by the specified ID and return it back.
 - [PATCH /installmentSchedules/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/installment-schedules/patchinstallmentschedule.md): This method will patch an existing installment schedule with the specified ID, using the HTTP PATCH specification.
 - [PUT /installmentSchedules/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/installment-schedules/updateinstallmentschedule.md): This method will update an existing installment schedule with the specified ID.
## Invoice Payment Terms

 - [GET /invoicePaymentTerms/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-payment-terms/listinvoicepaymentterms.md): This method will scan all invoice payment terms and and return them to the caller.
 - [POST /invoicePaymentTerms/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-payment-terms/createinvoicepaymentterm.md): This method will auto-generate an ID and create a new invoice payment term. If an ID is specified for the invoice payment term, an error will be thrown.
 - [POST /invoicePaymentTerms/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-payment-terms/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /invoicePaymentTerms/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-payment-terms/deleteinvoicepaymentterm.md): This method will delete a invoice payment term with the specified ID.
 - [GET /invoicePaymentTerms/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-payment-terms/getinvoicepaymentterm.md): This method will look up a invoice payment term by the specified ID and return it back.
 - [PATCH /invoicePaymentTerms/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-payment-terms/patchinvoicepaymentterm.md): This method will patch an existing invoice payment term with the specified ID, using the HTTP PATCH specification.
 - [PUT /invoicePaymentTerms/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-payment-terms/updateinvoicepaymentterm.md): This method will update an existing invoice payment term with the specified ID.
## Invoice Templates

 - [GET /invoiceTemplates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-templates/listinvoicetemplates.md): This method will scan all invoice templates and and return them to the caller.
 - [POST /invoiceTemplates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-templates/createinvoicetemplate.md): This method will auto-generate an ID and create a new invoice template. If an ID is specified for the invoice template, an error will be thrown.
 - [POST /invoiceTemplates/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-templates/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /invoiceTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-templates/deleteinvoicetemplate.md): This method will delete a invoice template with the specified ID.
 - [GET /invoiceTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-templates/getinvoicetemplate.md): This method will look up a invoice template by the specified ID and return it back.
 - [PATCH /invoiceTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-templates/patchinvoicetemplate.md): This method will patch an existing invoice template with the specified ID, using the HTTP PATCH specification.
 - [PUT /invoiceTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-templates/updateinvoicetemplate.md): This method will update an existing invoice template with the specified ID.
## Invoice Types

 - [GET /invoiceTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-types/listinvoicetypes.md): This method will scan all invoice types and and return them to the caller.
 - [POST /invoiceTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-types/createinvoicetype.md): This method will auto-generate an ID and create a new invoice type. If an ID is specified for the invoice type, an error will be thrown.
 - [POST /invoiceTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /invoiceTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-types/deleteinvoicetype.md): This method will delete a invoice type with the specified ID.
 - [GET /invoiceTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-types/getinvoicetype.md): This method will look up a invoice type by the specified ID and return it back.
 - [PATCH /invoiceTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-types/patchinvoicetype.md): This method will patch an existing invoice type with the specified ID, using the HTTP PATCH specification.
 - [PUT /invoiceTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoice-types/updateinvoicetype.md): This method will update an existing invoice type with the specified ID.
## Invoices

 - [GET /invoices/defaultTemplate/invoice](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/getdefaultinvoicetemplate.md): Returns the default invoice template
 - [GET /invoices/defaultTemplateAndEmail/invoice](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/getdefaultinvoicetemplateandemail.md): Returns the default invoice template
 - [POST /invoices/warmUpStepFunctions](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/warmupstepfunctions.md)
 - [POST /invoices/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/processinvoice.md): This method will auto-generate an ID and create a new invoice. If an ID is specified for the invoice, an error will be thrown.
 - [PUT /invoices/{tenantId}/adjustment/sync/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/adjustinvoiceamountssync.md): This method will start an workflow to adjust an invoice, returning an execution token.
 - [PUT /invoices/{tenantId}/adjustment/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/adjustinvoiceamounts.md): This method will start an workflow to adjust an invoice, returning an execution token.
 - [POST /invoices/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /invoices/{tenantId}/batch/{batch_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/listinvoicesbybatchid.md): Returns a list of records with the specified batch_id
 - [GET /invoices/{tenantId}/billToContact/{bill_to_contact_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/listinvoicesbybilltocontactid.md): Returns a list of records with the specified bill_to_contact_id
 - [GET /invoices/{tenantId}/billToOrganization/{bill_to_organization_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/listinvoicesbybilltoorganizationid.md): Returns a list of records with the specified bill_to_organization_id
 - [POST /invoices/{tenantId}/email/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/emailinvoice.md): Send an email of the invoice
 - [GET /invoices/{tenantId}/number/{number}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/listinvoicesbynumber.md): Returns a list of records with the specified number
 - [GET /invoices/{tenantId}/order/{order_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/listinvoicesbyorderid.md): Returns a list of records with the specified order_id
 - [GET /invoices/{tenantId}/owner/{ownerType}/{ownerId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/listinvoicesbyowner.md): Returns a list of records with the specified owner
 - [GET /invoices/{tenantId}/paymentLink/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/getpublicpaymentlink.md): Returns a link that can be used to share an invoice and payable
 - [GET /invoices/{tenantId}/portal/contact/{portalContactId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/listinvoicesforportal.md): This method will scan all invoices and and return them to the caller for a given contact.
 - [GET /invoices/{tenantId}/portal/contact/{portalContactId}/balance](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/getcontactbalance.md): Gets the amount of open invoices for a contact
 - [GET /invoices/{tenantId}/portal/contact/{portalContactId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/getinvoiceforportal.md): This method will look up a invoice by the specified ID and return it back (for a portal contact)
 - [GET /invoices/{tenantId}/portal/organization/{portalOrganizationId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/listinvoicesforportalbyorganization.md): This method will scan all invoices and and return them to the caller for a given organization.
 - [GET /invoices/{tenantId}/portal/organization/{portalOrganizationId}/balance](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/getorganizationbalance.md): Gets the amount of open invoices for a organization
 - [GET /invoices/{tenantId}/portal/organization/{portalOrganizationId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/getinvoiceforportal.md): This method will look up a invoice by the specified ID and return it back (for a portal organization)
 - [POST /invoices/{tenantId}/previewEmail](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/previewemail.md): Sends out a preview of the CRC notification email
 - [POST /invoices/{tenantId}/previewTemplate](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/previewtemplate.md): Sends out a preview of the notification template
 - [GET /invoices/{tenantId}/print/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/downloadpdf.md): Generates a PDF and returns the public link for download
 - [GET /invoices/{tenantId}/public/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/getinvoicepublicly.md): Public endpoint that allows for retrieval of invoice information, provided the accurate sharing secret is supplied
 - [POST /invoices/{tenantId}/regenerateOpenInvoices/{business_unit_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/regeneratelegacyopeninvoices.md): Finds all legacy invoices with an open balance and regenerates them
 - [GET /invoices/{tenantId}/renderEmail/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/renderinvoiceemail.md): Generates a PDF and returns the public link for download
 - [POST /invoices/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/searchforinvoices.md): Searches for invoices using predefined parameters
 - [POST /invoices/{tenantId}/sync](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/processinvoicesync.md): Processes an invoice
 - [DELETE /invoices/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/deleteinvoice.md): This method will delete a invoice with the specified ID.
 - [GET /invoices/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/getinvoice.md): This method will look up a invoice by the specified ID and return it back.
 - [PATCH /invoices/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/patchinvoice.md): This method will patch an existing invoice with the specified ID, using the HTTP PATCH specification.
 - [PUT /invoices/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/invoices/updateinvoice.md): This method will update an existing invoice with the specified ID.
## Late Fee Rules

 - [GET /lateFeeRules/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/late-fee-rules/listlatefeerules.md): This method will scan all late fee rules and and return them to the caller.
 - [POST /lateFeeRules/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/late-fee-rules/createlatefeerule.md): This method will auto-generate an ID and create a new late fee rule. If an ID is specified for the late fee rule, an error will be thrown.
 - [POST /lateFeeRules/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/late-fee-rules/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /lateFeeRules/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/late-fee-rules/deletelatefeerule.md): This method will delete a late fee rule with the specified ID.
 - [GET /lateFeeRules/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/late-fee-rules/getlatefeerule.md): This method will look up a late fee rule by the specified ID and return it back.
 - [PATCH /lateFeeRules/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/late-fee-rules/patchlatefeerule.md): This method will patch an existing late fee rule with the specified ID, using the HTTP PATCH specification.
 - [PUT /lateFeeRules/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/late-fee-rules/updatelatefeerule.md): This method will update an existing late fee rule with the specified ID.
## Late Fees

 - [GET /lateFees/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/late-fees/listlatefees.md): This method will scan all late fees and and return them to the caller.
 - [POST /lateFees/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/late-fees/createlatefee.md): This method will auto-generate an ID and create a new late fee. If an ID is specified for the late fee, an error will be thrown.
 - [POST /lateFees/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/late-fees/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /lateFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/late-fees/deletelatefee.md): This method will delete a late fee with the specified ID.
 - [GET /lateFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/late-fees/getlatefee.md): This method will look up a late fee by the specified ID and return it back.
 - [PATCH /lateFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/late-fees/patchlatefee.md): This method will patch an existing late fee with the specified ID, using the HTTP PATCH specification.
 - [PUT /lateFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/late-fees/updatelatefee.md): This method will update an existing late fee with the specified ID.
## Legacy Import Products

 - [GET /legacyImportProducts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/legacy-import-products/listlegacyimportproducts.md): This method will scan all legacy import products and and return them to the caller.
 - [POST /legacyImportProducts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/legacy-import-products/createlegacyimportproduct.md): This method will auto-generate an ID and create a new legacy import product. If an ID is specified for the legacy import product, an error will be thrown.
 - [POST /legacyImportProducts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/legacy-import-products/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /legacyImportProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/legacy-import-products/deletelegacyimportproduct.md): This method will delete a legacy import product with the specified ID.
 - [GET /legacyImportProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/legacy-import-products/getlegacyimportproduct.md): This method will look up a legacy import product by the specified ID and return it back.
 - [PATCH /legacyImportProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/legacy-import-products/patchlegacyimportproduct.md): This method will patch an existing legacy import product with the specified ID, using the HTTP PATCH specification.
 - [PUT /legacyImportProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/legacy-import-products/updatelegacyimportproduct.md): This method will update an existing legacy import product with the specified ID.
## Merchant Accounts

 - [GET /merchantAccounts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/merchant-accounts/listmerchantaccounts.md): This method will scan all merchant accounts and and return them to the caller.
 - [POST /merchantAccounts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/merchant-accounts/createmerchantaccount.md): This method will auto-generate an ID and create a new merchant account. If an ID is specified for the merchant account, an error will be thrown.
 - [POST /merchantAccounts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/merchant-accounts/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /merchantAccounts/{tenantId}/public](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/merchant-accounts/listmerchantaccountspublic.md): This method will scan all merchant accounts and and return them to the caller.
 - [DELETE /merchantAccounts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/merchant-accounts/deletemerchantaccount.md): This method will delete a merchant account with the specified ID.
 - [GET /merchantAccounts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/merchant-accounts/getmerchantaccount.md): This method will look up a merchant account by the specified ID and return it back.
 - [PATCH /merchantAccounts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/merchant-accounts/patchmerchantaccount.md): This method will patch an existing merchant account with the specified ID, using the HTTP PATCH specification.
 - [PUT /merchantAccounts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/merchant-accounts/updatemerchantaccount.md): This method will update an existing merchant account with the specified ID.
## Miscellaneous Products

 - [GET /miscellaneousProducts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/miscellaneous-products/listmiscellaneousproducts.md): This method will scan all miscellaneous products and and return them to the caller.
 - [POST /miscellaneousProducts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/miscellaneous-products/createmiscellaneousproduct.md): This method will auto-generate an ID and create a new miscellaneous product. If an ID is specified for the miscellaneous product, an error will be thrown.
 - [POST /miscellaneousProducts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/miscellaneous-products/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /miscellaneousProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/miscellaneous-products/deletemiscellaneousproduct.md): This method will delete a miscellaneous product with the specified ID.
 - [GET /miscellaneousProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/miscellaneous-products/getmiscellaneousproduct.md): This method will look up a miscellaneous product by the specified ID and return it back.
 - [PATCH /miscellaneousProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/miscellaneous-products/patchmiscellaneousproduct.md): This method will patch an existing miscellaneous product with the specified ID, using the HTTP PATCH specification.
 - [PUT /miscellaneousProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/miscellaneous-products/updatemiscellaneousproduct.md): This method will update an existing miscellaneous product with the specified ID.
## Payment Receipt Templates

 - [GET /paymentReceiptTemplates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payment-receipt-templates/listpaymentreceipttemplates.md): This method will scan all payment receipt templates and and return them to the caller.
 - [POST /paymentReceiptTemplates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payment-receipt-templates/createpaymentreceipttemplate.md): This method will auto-generate an ID and create a new payment receipt template. If an ID is specified for the payment receipt template, an error will be thrown.
 - [POST /paymentReceiptTemplates/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payment-receipt-templates/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /paymentReceiptTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payment-receipt-templates/deletepaymentreceipttemplate.md): This method will delete a payment receipt template with the specified ID.
 - [GET /paymentReceiptTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payment-receipt-templates/getpaymentreceipttemplate.md): This method will look up a payment receipt template by the specified ID and return it back.
 - [PATCH /paymentReceiptTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payment-receipt-templates/patchpaymentreceipttemplate.md): This method will patch an existing payment receipt template with the specified ID, using the HTTP PATCH specification.
 - [PUT /paymentReceiptTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payment-receipt-templates/updatepaymentreceipttemplate.md): This method will update an existing payment receipt template with the specified ID.
## Payments

 - [GET /payments/defaultTemplate/paymentReceipt](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/getdefaultpaymentreceipttemplate.md): Returns the default payment template
 - [GET /payments/defaultTemplateAndEmail/payment](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/getdefaultpaymenttemplateandemail.md): Returns the default payment template
 - [POST /payments/warmUpStepFunctions](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/warmupstepfunctions.md)
 - [POST /payments/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/processpayment.md): This method will auto-generate an ID and create a new payment. If an ID is specified for the payment, an error will be thrown.
 - [POST /payments/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /payments/{tenantId}/batch/{batch_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/listpaymentsbybatchid.md): Returns a list of records with the specified batch_id
 - [GET /payments/{tenantId}/contact/{contact_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/listpaymentsbycontactid.md): Returns a list of records with the specified contact_id
 - [POST /payments/{tenantId}/email/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/emailpayment.md): Send an email of the payment
 - [GET /payments/{tenantId}/order/{order_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/listpaymentsbyorderid.md): Returns a list of records with the specified order_id
 - [GET /payments/{tenantId}/organization/{organization_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/listpaymentsbyorganizationid.md): Returns a list of records with the specified organization_id
 - [GET /payments/{tenantId}/owner/{ownerType}/{ownerId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/listpaymentsbyowner.md): Returns a list of records with the specified owner
 - [GET /payments/{tenantId}/portal/contact/{portalContactId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/listpaymentsforportal.md): This method will scan all payments and and return them to the caller for a given contact.
 - [GET /payments/{tenantId}/portal/contact/{portalContactId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/getpaymentforportal.md): This method will look up a payment by the specified ID and return it back (for a portal contact)
 - [GET /payments/{tenantId}/portal/organization/{portalOrganizationId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/listpaymentsforportalbyorganization.md): This method will scan all payments and and return them to the caller for a given organization.
 - [GET /payments/{tenantId}/portal/organization/{portalOrganizationId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/getpaymentforportal.md): This method will look up a payment by the specified ID and return it back (for a portal organization)
 - [POST /payments/{tenantId}/previewEmail](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/previewemail.md): Sends out a preview of the CRC notification email
 - [POST /payments/{tenantId}/previewTemplate](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/previewtemplate.md): Sends out a preview of the notification template
 - [GET /payments/{tenantId}/print/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/downloadpdf.md): Generates a PDF and returns the public link for download
 - [POST /payments/{tenantId}/public](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/processpublicpayment.md): Allows for publicly payable invoices by taking a payment and processing it anonymously
 - [POST /payments/{tenantId}/public/sync](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/processpublicpaymentsync.md): Allows for publicly payable invoices by taking a payment and processing it anonymously
 - [GET /payments/{tenantId}/renderEmail/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/renderpaymentemail.md): Generates a PDF and returns the public link for download
 - [POST /payments/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/searchforpayments.md): Searches for payments using predefined parameters
 - [POST /payments/{tenantId}/sync](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/processpaymentsync.md): Processes an payment
 - [DELETE /payments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/deletepayment.md): This method will delete a payment with the specified ID.
 - [GET /payments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/getpayment.md): This method will look up a payment by the specified ID and return it back.
 - [PATCH /payments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/patchpayment.md): This method will patch an existing payment with the specified ID, using the HTTP PATCH specification.
 - [PUT /payments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/updatepayment.md): This method will update an existing payment with the specified ID.
 - [PUT /payments/{tenantId}/{id}/reverse/sync/{batch_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/reversepaymentsync.md): This method will start a reversal payment process
 - [PUT /payments/{tenantId}/{id}/reverse/{batch_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/reversepayment.md): This method will start a reversal payment process
 - [PUT /payments/{tenantId}/{id}/void](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/voidpayment.md): This method will start a void payment process
 - [PUT /payments/{tenantId}/{id}/void/sync](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/voidpaymentsync.md): This method will start a void payment process
## Product Financial Configs

 - [GET /productFinancialConfigs/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/product-financial-configs/listproductfinancialconfigs.md): This method will scan all product financial configs and and return them to the caller.
 - [POST /productFinancialConfigs/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/product-financial-configs/createproductfinancialconfig.md): This method will auto-generate an ID and create a new product financial config. If an ID is specified for the product financial config, an error will be thrown.
 - [POST /productFinancialConfigs/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/product-financial-configs/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /productFinancialConfigs/{tenantId}/product/{productType}/{productId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/product-financial-configs/getproductfinancialconfigsbyproductid.md): This method will look up a product financial configs by the specified ID and return it back.
 - [DELETE /productFinancialConfigs/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/product-financial-configs/deleteproductfinancialconfig.md): This method will delete a product financial config with the specified ID.
 - [GET /productFinancialConfigs/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/product-financial-configs/getproductfinancialconfig.md): This method will look up a product financial config by the specified ID and return it back.
 - [PATCH /productFinancialConfigs/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/product-financial-configs/patchproductfinancialconfig.md): This method will patch an existing product financial config with the specified ID, using the HTTP PATCH specification.
 - [PUT /productFinancialConfigs/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/product-financial-configs/updateproductfinancialconfig.md): This method will update an existing product financial config with the specified ID.
## Query Definitions

 - [GET /queryDefinitions/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/query-definitions/getquerydefinitions.md): Returns a list of records
## Recurring Batches

 - [GET /recurringBatches/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/recurring-batches/listrecurringbatches.md): This method will scan all recurring batches and and return them to the caller.
 - [POST /recurringBatches/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/recurring-batches/createrecurringbatch.md): This method will auto-generate an ID and create a new recurring batch. If an ID is specified for the recurring batch, an error will be thrown.
 - [POST /recurringBatches/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/recurring-batches/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /recurringBatches/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/recurring-batches/deleterecurringbatch.md): This method will delete a recurring batch with the specified ID.
 - [GET /recurringBatches/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/recurring-batches/getrecurringbatch.md): This method will look up a recurring batch by the specified ID and return it back.
 - [PATCH /recurringBatches/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/recurring-batches/patchrecurringbatch.md): This method will patch an existing recurring batch with the specified ID, using the HTTP PATCH specification.
 - [PUT /recurringBatches/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/recurring-batches/updaterecurringbatch.md): This method will update an existing recurring batch with the specified ID.
## Recurring Billing Runs

 - [GET /recurringBillingRuns/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/recurring-billing-runs/listrecurringbillingruns.md): This method will scan all recurring billing runs and and return them to the caller.
 - [POST /recurringBillingRuns/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/recurring-billing-runs/createrecurringbillingrun.md): This method will auto-generate an ID and create a new recurring billing run. If an ID is specified for the recurring billing run, an error will be thrown.
 - [POST /recurringBillingRuns/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/recurring-billing-runs/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /recurringBillingRuns/{tenantId}/template/{template_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/recurring-billing-runs/listrunsbytemplateid.md): Returns a list of records with the specified template_id
 - [DELETE /recurringBillingRuns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/recurring-billing-runs/deleterecurringbillingrun.md): This method will delete a recurring billing run with the specified ID.
 - [GET /recurringBillingRuns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/recurring-billing-runs/getrecurringbillingrun.md): This method will look up a recurring billing run by the specified ID and return it back.
 - [PATCH /recurringBillingRuns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/recurring-billing-runs/patchrecurringbillingrun.md): This method will patch an existing recurring billing run with the specified ID, using the HTTP PATCH specification.
 - [PUT /recurringBillingRuns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/recurring-billing-runs/updaterecurringbillingrun.md): This method will update an existing recurring billing run with the specified ID.
## Refund Receipt Templates

 - [GET /refundReceiptTemplates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/refund-receipt-templates/listrefundreceipttemplates.md): This method will scan all refund receipt templates and and return them to the caller.
 - [POST /refundReceiptTemplates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/refund-receipt-templates/createrefundreceipttemplate.md): This method will auto-generate an ID and create a new refund receipt template. If an ID is specified for the refund receipt template, an error will be thrown.
 - [POST /refundReceiptTemplates/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/refund-receipt-templates/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /refundReceiptTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/refund-receipt-templates/deleterefundreceipttemplate.md): This method will delete a refund receipt template with the specified ID.
 - [GET /refundReceiptTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/refund-receipt-templates/getrefundreceipttemplate.md): This method will look up a refund receipt template by the specified ID and return it back.
 - [PATCH /refundReceiptTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/refund-receipt-templates/patchrefundreceipttemplate.md): This method will patch an existing refund receipt template with the specified ID, using the HTTP PATCH specification.
 - [PUT /refundReceiptTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/refund-receipt-templates/updaterefundreceipttemplate.md): This method will update an existing refund receipt template with the specified ID.
## Refunds

 - [GET /refunds/defaultTemplate/refund](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/refunds/getdefaultrefundtemplate.md): Returns the default refund template
 - [POST /refunds/warmUpStepFunctions](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/refunds/warmupstepfunctions.md)
 - [GET /refunds/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/refunds/listrefunds.md): This method will scan all refunds and and return them to the caller.
 - [POST /refunds/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/refunds/processrefund.md): This method will auto-generate an ID and create a new refund. If an ID is specified for the refund, an error will be thrown.
 - [POST /refunds/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/refunds/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /refunds/{tenantId}/batch/{batch_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/refunds/listrefundsbybatchid.md): Returns a list of records with the specified batch_id
 - [POST /refunds/{tenantId}/previewTemplate](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/refunds/previewtemplate.md): Sends out a preview of the notification template
 - [GET /refunds/{tenantId}/print/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/refunds/downloadpdf.md): Generates a PDF and returns the public link for download
 - [POST /refunds/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/refunds/searchforrefunds.md): Searches for refunds using predefined parameters
 - [POST /refunds/{tenantId}/sync](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/refunds/processrefundsync.md): This method will auto-generate an ID and create a new refund. If an ID is specified for the refund, an error will be thrown.
 - [GET /refunds/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/refunds/getrefund.md): This method will look up a refund by the specified ID and return it back.
 - [PATCH /refunds/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/refunds/patchrefund.md): This method will patch an existing refund with the specified ID, using the HTTP PATCH specification.
 - [PUT /refunds/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/refunds/updaterefund.md): This method will update an existing refund with the specified ID.
## Revenue Recognition Schedules

 - [GET /revenueRecognitionSchedules/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/revenue-recognition-schedules/listrevenuerecognitionschedules.md): This method will scan all revenue recognition schedules and and return them to the caller.
 - [POST /revenueRecognitionSchedules/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/revenue-recognition-schedules/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /revenueRecognitionSchedules/{tenantId}/batch/{batch_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/revenue-recognition-schedules/listschedulesbybatchid.md): Returns a list of records with the specified batch_id
 - [GET /revenueRecognitionSchedules/{tenantId}/businessUnit/{business_unit_id}/open](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/revenue-recognition-schedules/listopenschedulesbybusinessunitid.md): Returns a list of OPEN records with the specified business_unit_id
 - [GET /revenueRecognitionSchedules/{tenantId}/creditMemo/{credit_memo_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/revenue-recognition-schedules/listschedulesbycreditmemoid.md): Returns a list of records with the specified credit_memo_id
 - [GET /revenueRecognitionSchedules/{tenantId}/debitMemo/{debit_memo_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/revenue-recognition-schedules/listschedulesbydebitmemoid.md): Returns a list of records with the specified debit_memo_id
 - [GET /revenueRecognitionSchedules/{tenantId}/invoice/{invoice_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/revenue-recognition-schedules/listschedulesbyinvoiceid.md): Returns a list of records with the specified invoice_id
 - [GET /revenueRecognitionSchedules/{tenantId}/membership/{membership_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/revenue-recognition-schedules/listschedulesbymembershipid.md): Returns a list of records with the specified membership_id
 - [GET /revenueRecognitionSchedules/{tenantId}/payment/{payment_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/revenue-recognition-schedules/listschedulesbypaymentid.md): Returns a list of records with the specified payment_id
 - [GET /revenueRecognitionSchedules/{tenantId}/writeOff/{write_off_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/revenue-recognition-schedules/listschedulesbywriteoffid.md): Returns a list of records with the specified write_off_id
 - [GET /revenueRecognitionSchedules/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/revenue-recognition-schedules/getrevenuerecognitionschedule.md): This method will look up a revenue recognition schedule by the specified ID and return it back.
 - [PATCH /revenueRecognitionSchedules/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/revenue-recognition-schedules/patchrevenuerecognitionschedule.md): This method will patch an existing revenue recognition schedule with the specified ID, using the HTTP PATCH specification.
 - [PUT /revenueRecognitionSchedules/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/revenue-recognition-schedules/updaterevenuerecognitionschedule.md): This method will update an existing revenue recognition schedule with the specified ID.
## Settings

 - [DELETE /settings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/settings/deletesetting.md): This method will delete a setting with the specified ID.
 - [GET /settings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/settings/getsetting.md): This method will look up a setting by the specified ID and return it back.
 - [PATCH /settings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/settings/patchsetting.md): This method will patch an existing setting with the specified ID, using the HTTP PATCH specification.
 - [POST /settings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/settings/createsetting.md): This method will auto-generate an ID and create a new setting. If an ID is specified for the setting, an error will be thrown.
 - [PUT /settings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/settings/updatesetting.md): This method will update an existing setting with the specified ID.
 - [GET /settings/{tenantId}/public/settings](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/settings/getpublicsettings.md): For a given contact, finds the Stripe customer. If none exists, one is created.
## Statement Templates

 - [GET /statementTemplates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/statement-templates/liststatementtemplates.md): This method will scan all statement templates and and return them to the caller.
 - [POST /statementTemplates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/statement-templates/createstatementtemplate.md): This method will auto-generate an ID and create a new statement template. If an ID is specified for the statement template, an error will be thrown.
 - [POST /statementTemplates/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/statement-templates/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /statementTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/statement-templates/deletestatementtemplate.md): This method will delete a statement template with the specified ID.
 - [GET /statementTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/statement-templates/getstatementtemplate.md): This method will look up a statement template by the specified ID and return it back.
 - [PATCH /statementTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/statement-templates/patchstatementtemplate.md): This method will patch an existing statement template with the specified ID, using the HTTP PATCH specification.
 - [PUT /statementTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/statement-templates/updatestatementtemplate.md): This method will update an existing statement template with the specified ID.
## Statements

 - [POST /statements/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/statements/createstatement.md): This method will auto-generate an ID and create a new statement. If an ID is specified for the statement, an error will be thrown.
 - [POST /statements/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/statements/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /statements/{tenantId}/contact/{contact_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/statements/liststatementsbycontactid.md): Returns a list of records with the specified contact_id
 - [GET /statements/{tenantId}/defaultStatementTemplate](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/statements/getdefaultcustomerbalancestatementtemplate.md): Returns the default customer balance statement template
 - [POST /statements/{tenantId}/generate](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/statements/generatecustomerbalancestatement.md): Generates and optionally sends a customer statement
 - [GET /statements/{tenantId}/organization/{organization_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/statements/liststatementsbyorganizationid.md): Returns a list of records with the specified organization_id
[...]
